<?php

/**
 * 
 * @author Peter Csubak (chuby)
 * @copyright Peter Csubak (chuby)
 *
 * //Annotations:
 *
 */
class SessionProvider {
	
	private $object;
	private $oid;
	
	public function __construct($object, $oid){
		$this->object = $object;
		$this->oid = $oid;
	}
	
	public function getOID(){
		return $this->oid;
	}
	
	public function __call($name, $arguments){
		$pm = new PeaMethod();
		$pm->name = $name;
		$pm->object = $this->object;
		$pm->params = $arguments;
		return $pm->invoke();
	}
	
}
?>